Update quote item quantity

Update quote item quantity for one or more quote items.
Sample Curl
curl --location --request PUT 'https://mygatewayurl.com/V1/storeview/default/user/quote/item/17' --header 'Authorization: Bearer qsk2p2azmuylkcgsuhhkbale7vk571vn' --header 'Content-Type: application/json' --data '{ "cartItem": { "item_id": 17, "sku": "Product with tier price", "qty": 100, "name": "Product with tier price", "price": 90, "product_type": "simple", "quote_id": "54" }}'

Sample Curl configurable products
curl --location --request PUT 'https://mygatewayurl.com/V1/storeview/default/user/quote/item/187' --header 'Authorization: Bearer qsk2p2azmuylkcgsuhhkbale7vk571vn' --header 'Content-Type: application/json' --data '{ "cartItem": { "sku": "4-1157", "qty": 3, "quote_id": "219", "product_option": { "note": "Use product option only when updating configurable product child", "extension_attributes": { "configurable_item_options": [ { "option_id": "93", "option_value": 58 }, { "option_id": "141", "option_value": 168 } ] } } }}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

string
required

item-id is the id inside the quote for your product.

Body Params
cartItem
object
required
Headers
string
required
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json